Name:           ocaml-seq
Version:        0.2.2
Release:        %mkrel 5
Summary:        Compatibility package for OCaml's standard iterator type
Group:          Development/OCaml
License:        LGPLv2+ with exceptions

URL:            https://github.com/c-cube/seq
Source0:        %{url}/archive/%{version}/seq-%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-dune >= 1.1.0


%description
Compatibility package for OCaml's standard iterator type starting from 4.07.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n seq-%{version}


%build
dune build %{?_smp_mflags}


%install
dune install --destdir=%{buildroot}

# We do not want the ml files
find %{buildroot}%{_libdir}/ocaml -name \*.ml -delete

# We install the documentation with the doc macro
rm -fr %{buildroot}%{_prefix}/doc

%files
%doc README.md
%license LICENSE
%{_libdir}/ocaml/seq
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/seq/*.a
%exclude %{_libdir}/ocaml/seq/*.cmxa
%exclude %{_libdir}/ocaml/seq/*.cmx
%endif
%exclude %{_libdir}/ocaml/seq/*.mli
%exclude %{_libdir}/ocaml/seq/META


%files devel
%license LICENSE
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/seq/*.a
%{_libdir}/ocaml/seq/*.cmxa
%{_libdir}/ocaml/seq/*.cmx
%endif
%{_libdir}/ocaml/seq/*.mli
%{_libdir}/ocaml/seq/META




%changelog
* Thu May 19 2022 pterjan <pterjan> 0.2.2-5.mga9
+ Revision: 1859018
- Rebuild for OCaml 4.14

* Tue Mar 29 2022 umeabot <umeabot> 0.2.2-4.mga9
+ Revision: 1833105
- Mageia 9 Mass Rebuild

* Tue Oct 12 2021 tv <tv> 0.2.2-3.mga9
+ Revision: 1750772
- Rebuild for ocaml 4.13.1

* Wed Mar 03 2021 tv <tv> 0.2.2-2.mga9
+ Revision: 1697316
- rebuild for ocaml-4.2-12

* Wed Mar 03 2021 tv <tv> 0.2.2-1.mga9
+ Revision: 1696628
- 0.2.2

* Sun Jan 10 2021 pterjan <pterjan> 0.1-4.mga9
+ Revision: 1670477
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.1-3.mga8
+ Revision: 1551368
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.1-2.mga8
+ Revision: 1544471
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 tv <tv> 0.1-1.mga8
+ Revision: 1483047
- imported package ocaml-seq

